Package org.opensaml.soap.wsaddressing.impl

# Class EndpointReferenceTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.soap.wsaddressing.impl.AbstractWSAddressingObject
org.opensaml.soap.wsaddressing.impl.EndpointReferenceTypeImpl

All Implemented Interfaces:
  `AttributeExtensibleXMLObject`, `ElementExtensibleXMLObject`, `XMLObject`, `EndpointReferenceType`, `WSAddressingObject`

Direct Known Subclasses:
  `EndpointReferenceImpl`, `FaultToImpl`, `FromImpl`, `IssuerImpl`, `ReplyToImpl`

public class EndpointReferenceTypeImpl extends AbstractWSAddressingObject implements EndpointReferenceType
Abstract implementation of the element of type `EndpointReferenceType`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Address`
`address`
`Address` child element.
`private Metadata`
`metadata`
Optional `Metadata` child element.
`private ReferenceParameters`
`referenceParameters`
Optional `ReferenceParameters` child element.
`private final AttributeMap`
`unknownAttributes`
Wildcard attributes.
`private final IndexedXMLObjectChildrenList<XMLObject>`
`unknownChildren`
Wildcard child elements.

### Fields inherited from interface org.opensaml.soap.wsaddressing.EndpointReferenceType

`TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Constructor
Description
`EndpointReferenceTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Address`
`getAddress()`
Returns the <wsa:Address> child element.
`Metadata`
`getMetadata()`
Returns the optional <wsa:Metadata> child element.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`ReferenceParameters`
`getReferenceParameters()`
Returns the optional <wsa:ReferenceParameters> child element.
`AttributeMap`
`getUnknownAttributes()`
Gets a mutable map of the attributes.
`List<XMLObject>`
`getUnknownXMLObjects()`
Gets the list of XMLObjects added to this XMLObject as part of the "any" content model.
`List<XMLObject>`
`getUnknownXMLObjects(QName typeOrName)`
Gets the list of XMLObjects added to this XMLObject as part of the "any" content model, and which match the specified QName.
`void`
`setAddress(Address newAddress)`
Sets the <wsa:Address> child element.
`void`
`setMetadata(Metadata newMetadata)`
Sets the <wsa:Metadata> child element.
`void`
`setReferenceParameters(ReferenceParameters newReferenceParameters)`
Sets the <wsa:ReferenceParameters> child element.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### address

@Nullable private Address address
`Address` child element.

### metadata

@Nullable private Metadata metadata
Optional `Metadata` child element.

### referenceParameters

@Nullable private ReferenceParameters referenceParameters
Optional `ReferenceParameters` child element.

### unknownChildren

@Nonnull private final IndexedXMLObjectChildrenList<XMLObject> unknownChildren
Wildcard child elements.

### unknownAttributes

@Nonnull private final AttributeMap unknownAttributes
Wildcard attributes.

## Constructor Details

### EndpointReferenceTypeImpl

public EndpointReferenceTypeImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - The namespace of the element
  `elementLocalName` - The local name of the element
  `namespacePrefix` - The namespace prefix of the element

## Method Details

### getAddress

@Nullable public Address getAddress()
Returns the <wsa:Address> child element.

Specified by:
  `getAddress` in interface `EndpointReferenceType`
Returns:
  the `Address` child element or `null`

### setAddress

public void setAddress(@Nullable Address newAddress)
Sets the <wsa:Address> child element.

Specified by:
  `setAddress` in interface `EndpointReferenceType`
Parameters:
  `newAddress` - the `Address` child element to set.

### getMetadata

@Nullable public Metadata getMetadata()
Returns the optional <wsa:Metadata> child element.

Specified by:
  `getMetadata` in interface `EndpointReferenceType`
Returns:
  the `Metadata` child element or `null`.

### setMetadata

public void setMetadata(@Nullable Metadata newMetadata)
Sets the <wsa:Metadata> child element.

Specified by:
  `setMetadata` in interface `EndpointReferenceType`
Parameters:
  `newMetadata` - the `Metadata` child element to set.

### getReferenceParameters

@Nullable public ReferenceParameters getReferenceParameters()
Returns the optional <wsa:ReferenceParameters> child element.

Specified by:
  `getReferenceParameters` in interface `EndpointReferenceType`
Returns:
  the `ReferenceParameters` child element or `null`.

### setReferenceParameters

public void setReferenceParameters(@Nullable ReferenceParameters newReferenceParameters)
Sets the <wsa:ReferenceParameters> child element.

Specified by:
  `setReferenceParameters` in interface `EndpointReferenceType`
Parameters:
  `newReferenceParameters` - the `ReferenceParameters` child element to set.

### getUnknownAttributes

@Nonnull public AttributeMap getUnknownAttributes()
Gets a mutable map of the attributes. The map key is the namespace qualified name of the attribute, the map value is the value of the attribute.

Specified by:
  `getUnknownAttributes` in interface `AttributeExtensibleXMLObject`
Returns:
  a map of the attributes

### getUnknownXMLObjects

@Nonnull public List<XMLObject> getUnknownXMLObjects()
Gets the list of XMLObjects added to this XMLObject as part of the "any" content model.

Specified by:
  `getUnknownXMLObjects` in interface `ElementExtensibleXMLObject`
Returns:
  list of XMLObjects added to this XMLObject as part of the "any" content model

### getUnknownXMLObjects

@Nonnull public List<XMLObject> getUnknownXMLObjects(@Nonnull QName typeOrName)
Gets the list of XMLObjects added to this XMLObject as part of the "any" content model, and which match the specified QName.

Specified by:
  `getUnknownXMLObjects` in interface `ElementExtensibleXMLObject`
Parameters:
  `typeOrName` - the QName of the statements to return
Returns:
  list of XMLObjects added to this XMLObject as part of the "any" content model TODO: think this should be typed List<? extends XMLObject>

### getOrderedChildren

@Nullable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Overrides:
  `getOrderedChildren` in class `AbstractWSAddressingObject`
Returns:
  ordered list of child elements